Loading...
Searching...
No Matches
febase.cc File Reference
`#include "kernel/mod2.h"`
`#include "omalloc/omalloc.h"`
`#include "reporter/reporter.h"`
`#include "misc/options.h"`
`#include "misc/mylimits.h"`

Go to the source code of this file.

## Macros

#define | fePutChar(c)
#define | MAX_FILE_BUFFER 4*4096

## Functions

void | monitor (void *F, int mode)

## Variables

VAR int | si_echo = 0
VAR int | printlevel = 0
VAR int | colmax = 80
VAR int | pagelength = 24
VAR char | prompt_char = '>'
VAR int | yylineno = 0
VAR int | myynest = -1
VAR int | traceit = 0
VAR int | traceit_stop = 0
VAR char | my_yylinebuf [80]

## Macro Definition Documentation

## fePutChar

#define fePutChar | ( |  | c | ) |

Value:
fputc((unsigned char)(c),stdout)

Definition at line 24 of file febase.cc.

## MAX_FILE_BUFFER

#define MAX_FILE_BUFFER 4*4096

Definition at line 33 of file febase.cc.

## Function Documentation

## monitor()

void monitor | ( | void * | F,
|  | int | mode )

Definition at line 68 of file febase.cc.

{
if (feProt)
{
fclose(feProtFile);
feProt = 0;
}
if (F!=NULL)
{
feProtFile = (FILE *)F;
feProt = mode;
}
}
NULL
#define NULL
Definition omList.c:12
feProt
VAR int feProt
Definition reporter.cc:56
feProtFile
VAR FILE * feProtFile
Definition reporter.cc:57

## Variable Documentation

## colmax

VAR int colmax = 80

Definition at line 37 of file febase.cc.

## my_yylinebuf

VAR char my_yylinebuf[80]

Definition at line 44 of file febase.cc.

## myynest

VAR int myynest = -1

Definition at line 41 of file febase.cc.

## pagelength

VAR int pagelength = 24

Definition at line 38 of file febase.cc.

## printlevel

VAR int printlevel = 0

Definition at line 36 of file febase.cc.

## prompt_char

VAR char prompt_char = '>'

Definition at line 39 of file febase.cc.

## si_echo

VAR int si_echo = 0

Definition at line 35 of file febase.cc.

## traceit

VAR int traceit = 0

Definition at line 42 of file febase.cc.

## traceit_stop

VAR int traceit_stop = 0

Definition at line 43 of file febase.cc.

## yylineno

VAR int yylineno = 0

Definition at line 40 of file febase.cc.